漏洞信息详情

Django 'compile-messages.py'远程任意指令执行漏洞

  • CNNVD编号:CNNVD-200701-382
  • 危害等级: 高危
  • CVE编号: CVE-2007-0404
  • 漏洞类型: 输入验证
  • 发布时间: 2007-01-22
  • 威胁类型: 远程
  • 更新时间: 2007-01-22
  • 厂        商: django_project
  • 漏洞来源: The vendor disclos...

漏洞简介

Django 0.95版本中的bin/compile-messages.py没有在通过os.system函数调用msgfmt程序前引用参数字符串,这使得攻击者可以借助(1).po或(2).mo文件中的shell元字符,执行任意指令。

漏洞公告

目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:

http://www.djangoproject.com/download/0.95/tarball/Django-0.95.tar.gz

http://www.djangoproject.com/download/0.95/tarball/Django-0.95.tar.gz

参考网址

来源: SECUNIA

名称: 23826

链接:http://secunia.com/advisories/23826

来源: code.djangoproject.com

链接:http://code.djangoproject.com/changeset/3592

来源: XF

名称: django-po-code-execution(31627)

链接:http://xforce.iss.net/xforce/xfdb/31627

来源: BID

名称: 22134

链接:http://www.securityfocus.com/bid/22134

受影响实体

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多